Apache Tomcat 6.0.53

## org.apache.catalina.realm
Interface X509UsernameRetriever

All Known Implementing Classes:
  X509SubjectDnRetriever

    public interface X509UsernameRetriever

Provides an interface for retrieving a user name from an X509Certificate.

Method Summary
`java.lang.String` | `getUsername(java.security.cert.X509Certificate cert)` Gets a user name from an X509Certificate.

Method Detail

### getUsername

    java.lang.String getUsername(java.security.cert.X509Certificate cert)

  Gets a user name from an X509Certificate.

  Parameters:
    `cert` - The certificate containing the user name.
  Returns:
    An appropriate user name obtained from one or more fields in the certificate.

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.